undefined method `bmc' for nil:NilClass

08/09/2021 01:49 AM - Damon Maria

Status: Closed   
Target version:    
Triaged: No Found in Releases: 2.5.2

Bugzilla link:  Red Hat JIRA:  
Description

I had a host (created only recently) that I tried to build again by clicking 'Build'. The dialog popped up saying it would overwrite

everything and a progress 'circle' turned. Then the circle disappeared but no buttons appeared. Found this in the logs.

That gave me the hint the BMC interface might be the issue. So I removed that interface and then Build worked.

2021-08-08T23:12:19 [I|app|4534d798] Started GET "/hosts/proc2.anzac.mindhive.lan/bmc" for 101.98.

66.45 at 2021-08-08 23:12:19 +0000

2021-08-08T23:12:19 [I|app|4534d798] Processing by HostsController#bmc as HTML

2021-08-08T23:12:19 [I|app|4534d798]   Parameters: {"id"=>"proc2.anzac.mindhive.lan"}

2021-08-08T23:12:19 [W|app|4534d798] undefined method `bmc' for nil:NilClass

2021-08-08T23:12:19 [I|app|4534d798] Backtrace for 'undefined method `bmc' for nil:NilClass' error

 (NoMethodError): undefined method `bmc' for nil:NilClass

4534d798 | /usr/share/foreman/app/controllers/hosts_controller.rb:269:in `rescue in bmc'

4534d798 | /usr/share/foreman/app/controllers/hosts_controller.rb:263:in `bmc'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l/basic_implicit_render.rb:6:in `send_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/ba

se.rb:195:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l/rendering.rb:30:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/ca

llbacks.rb:42:in `block in process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:112:in `block in run_callbacks'

4534d798 | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_t

imezone'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:121:in `block in run_callbacks'

4534d798 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:121:in `block in run_callbacks'

4534d798 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in 

`set_topbar_sweeper_controller'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:121:in `block in run_callbacks'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `

around'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:121:in `block in run_callbacks'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `

around'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:121:in `block in run_callbacks'
4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:139:in `run_callbacks'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/ca

llbacks.rb:41:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l/rescue.rb:22:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l/instrumentation.rb:33:in `block in process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/noti

fications.rb:180:in `block in instrument'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/noti

fications/instrumenter.rb:24:in `instrument'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/noti

fications.rb:180:in `instrument'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l/instrumentation.rb:32:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l/params_wrapper.rb:245:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activerecord-6.0.3.7/lib/active_record/railti

es/controller_runtime.rb:27:in `process_action'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/ba

se.rb:136:in `process'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionview-6.0.3.7/lib/action_view/rendering.

rb:39:in `process'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l.rb:190:in `dispatch'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/meta

l.rb:254:in `dispatch'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routin

g/route_set.rb:50:in `dispatch'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routin

g/route_set.rb:33:in `serve'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journe

y/router.rb:49:in `block in serve'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journe

y/router.rb:32:in `each'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journe

y/router.rb:32:in `serve'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routin

g/route_set.rb:834:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_dispat

cher.rb:67:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-rails-0.5.18/lib/apipie/static_dispatc

her.rb:66:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-rails-0.5.18/lib/apipie/extractor/reco

rder.rb:137:in `call'

4534d798 | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-rails-0.5.18/lib/apipie/middleware/che

cksum_in_headers.rb:27:in `call'

4534d798 | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in 

`call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/conditional_get.rb:27:in 

`call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/http/c

ontent_security_policy.rb:18:in `call'

4534d798 | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:26

6:in `context'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:26

0:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/cookies.rb:648:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/callbacks.rb:27:in `block in call'
4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/call

backs.rb:101:in `run_callbacks'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/callbacks.rb:26:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/actionable_exceptions.rb:18:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/debug_exceptions.rb:32:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/show_exceptions.rb:33:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:37:

in `call_app'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:28:

in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/sprockets-rails-3.2.2/lib/sprockets/rails/qui

et_assets.rb:13:in `call'

4534d798 | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/remote_ip.rb:81:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/request_id.rb:27:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/method_override.rb:24:in 

`call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/cach

e/strategy/local_cache_middleware.rb:29:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/executor.rb:14:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/static.rb:126:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middle

ware/host_authorization.rb:76:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/secure_headers-6.3.2/lib/secure_headers/middl

eware.rb:11:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/engine.rb:527:in `

call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in 

`public_send'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in 

`method_missing'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in

 call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/configuration.rb:249:in `

call'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/request.rb:77:in `block i

n handle_request'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in `wi

th_force_shutdown'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/request.rb:76:in `handle_

request'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/server.rb:438:in `process

_client'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in `bl

ock in spawn_thread'

4534d798 | /usr/share/foreman/vendor/ruby/2.5.0/gems/logging-2.3.0/lib/logging/diagnostic_context.

rb:474:in `block in create_with_logging_context'

2021-08-08T23:12:19 [I|app|4534d798]   Rendering common/500.html.erb

2021-08-08T23:12:19 [I|app|4534d798]   Rendered common/500.html.erb (Duration: 9.2ms | Allocations

: 392)

2021-08-08T23:12:19 [I|app|4534d798] Completed 500 Internal Server Error in 64ms (Views: 10.1ms | 

ActiveRecord: 19.9ms | Allocations: 16324)

Associated revisions
Revision d996e306 - 08/25/2021 08:43 AM - Lukas Zapletal

Fixes #33229 - BMC feature error reports correctly

History

#1 - 08/12/2021 06:52 AM - Damon Maria

- File Foreman-bmc-error.png added

This also happens on the BMC tab on the host:

 

Logs attached as requested:

# foreman-rake errors:fetch_log request_id=9e599481

2021-08-12T06:47:28 [I|app|9e599481] Started GET "/hosts/proc2.anzac.mindhive.lan/bmc" for 121.74.228.152 at 2

021-08-12 06:47:28 +0000

2021-08-12T06:47:28 [I|app|9e599481] Processing by HostsController#bmc as HTML

2021-08-12T06:47:28 [I|app|9e599481]   Parameters: {"id"=>"proc2.anzac.mindhive.lan"}

2021-08-12T06:47:28 [W|app|9e599481] undefined method `bmc' for nil:NilClass

2021-08-12T06:47:28 [I|app|9e599481] Backtrace for 'undefined method `bmc' for nil:NilClass' error (NoMethodEr

ror): undefined method `bmc' for nil:NilClass

 9e599481 | /usr/share/foreman/app/controllers/hosts_controller.rb:269:in `rescue in bmc'

 9e599481 | /usr/share/foreman/app/controllers/hosts_controller.rb:263:in `bmc'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/basic_imp
licit_render.rb:6:in `send_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:195:i

n `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/rendering

.rb:30:in `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:

42:in `block in process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:11

2:in `block in run_callbacks'

 9e599481 | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_timezone'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:12

1:in `block in run_callbacks'

 9e599481 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:12

1:in `block in run_callbacks'

 9e599481 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar

_sweeper_controller'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:12

1:in `block in run_callbacks'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `around'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:12

1:in `block in run_callbacks'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/audited-4.10.0/lib/audited/sweeper.rb:14:in `around'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:12

1:in `block in run_callbacks'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:13

9:in `run_callbacks'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/callbacks.rb:

41:in `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/rescue.rb

:22:in `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumen

tation.rb:33:in `block in process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/notifications.r

b:180:in `block in instrument'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/notifications/i

nstrumenter.rb:24:in `instrument'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/notifications.r

b:180:in `instrument'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/instrumen

tation.rb:32:in `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal/params_wr

apper.rb:245:in `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activerecord-6.0.3.7/lib/active_record/railties/controll

er_runtime.rb:27:in `process_action'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/abstract_controller/base.rb:136:i

n `process'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionview-6.0.3.7/lib/action_view/rendering.rb:39:in `p

rocess'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:190:in

 `dispatch'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_controller/metal.rb:254:in

 `dispatch'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set

.rb:50:in `dispatch'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set

.rb:33:in `serve'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb

:49:in `block in serve'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb

:32:in `each'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/journey/router.rb

:32:in `serve'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/routing/route_set

.rb:834:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_dispatcher.rb:67:

in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-rails-0.5.18/lib/apipie/static_dispatcher.rb:66:i

n `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-rails-0.5.18/lib/apipie/extractor/recorder.rb:137

:in `call'

 9e599481 | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/apipie-rails-0.5.18/lib/apipie/middleware/checksum_in_he

aders.rb:27:in `call'

 9e599481 | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'
 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/conditional_get.rb:27:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/http/content_secu

rity_policy.rb:18:in `call'

 9e599481 | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:266:in `conte

xt'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/session/abstract/id.rb:260:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/cookie

s.rb:648:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callba

cks.rb:27:in `block in call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/callbacks.rb:10

1:in `run_callbacks'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/callba

cks.rb:26:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/action

able_exceptions.rb:18:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/debug_

exceptions.rb:32:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/show_e

xceptions.rb:33:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:37:in `call_ap

p'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/rack/logger.rb:28:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/sprockets-rails-3.2.2/lib/sprockets/rails/quiet_assets.r

b:13:in `call'

 9e599481 | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/remote

_ip.rb:81:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/reques

t_id.rb:27:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/method_override.rb:24:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/activesupport-6.0.3.7/lib/active_support/cache/strategy/

local_cache_middleware.rb:29:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/execut

or.rb:14:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/static

.rb:126:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.7/lib/action_dispatch/middleware/host_a

uthorization.rb:76:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/secure_headers-6.3.2/lib/secure_headers/middleware.rb:11

:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/engine.rb:527:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `public_sen

d'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/railties-6.0.3.7/lib/rails/railtie.rb:190:in `method_mis

sing'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `block in call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/configuration.rb:249:in `call'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/request.rb:77:in `block in handle_re

quest'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in `with_force_sh

utdown'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/request.rb:76:in `handle_request'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/server.rb:438:in `process_client'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in `block in spaw

n_thread'

 9e599481 | /usr/share/foreman/vendor/ruby/2.5.0/gems/logging-2.3.0/lib/logging/diagnostic_context.rb:474:in `

block in create_with_logging_context'

2021-08-12T06:47:28 [I|app|9e599481]   Rendering common/500.html.erb

2021-08-12T06:47:29 [I|app|9e599481]   Rendered common/500.html.erb (Duration: 36.5ms | Allocations: 9563)

2021-08-12T06:47:29 [I|app|9e599481] Completed 500 Internal Server Error in 283ms (Views: 90.3ms | ActiveRecor

d: 60.9ms | Allocations: 61075)

Foreman version: 2.5.2

Plugins:

 - foreman_bootdisk 17.1.0

 - foreman_setup 6.0.0
#2 - 08/18/2021 02:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/8722 added

#3 - 08/25/2021 08:43 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 08/25/2021 09:08 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d996e306c53c882f5527e8d847994dc833dbc9ed.

#5 - 09/01/2021 09:10 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8751 added

#6 - 09/01/2021 09:27 AM - Tomer Brisker

- Category set to BMC

- Fixed in Releases 3.0.0 added

- Fixed in Releases deleted (3.1.0)
